apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: tdb-oauth
  namespace: tdb-oauth
spec:
  hosts:
    - <<SITES>>
  gateways:
    - tdb-oauth-gateway
  http:
    - match:
        - scheme:
            exact: http
      redirect:
        scheme: https
        redirectCode: 302
    - route:
        - destination:
            host: tdb-oauth
            port:
              number: 8080
